The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> freelocale - free resources allocated for a locale object

#### SYNOPSIS

> ``[CX] #include <locale.h>
> void freelocale(locale_t` locobj`);``
> `
> `

#### DESCRIPTION

> The freelocale() function shall cause the resources allocated for a locale object returned by a call to the newlocale() or duplocale() functions to be released.

> The behavior is undefined if the locobj argument is the special locale object LC_GLOBAL_LOCALE or is not a valid locale object handle.

> Any use of a locale object that has been freed results in undefined behavior.

#### RETURN VALUE

> None.

#### ERRORS

> None.

The following sections are informative.

#### EXAMPLES

> ##### Freeing Up a Locale Object

> The following example shows a code fragment to free a locale object created by newlocale():

>     #include <locale.h>
>     ...

>     /* Every locale object allocated with newlocale() should be
>      * freed using freelocale():
>      */

>     locale_t loc;

>     /* Get the locale. */

>     loc = newlocale (LC_CTYPE_MASK | LC_TIME_MASK, "locname", NULL);

>     /* ... Use the locale object ... */
>     ...

>     /* Free the locale object resources. */
>     freelocale (loc);

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> duplocale, newlocale, uselocale

> XBD <locale.h>

#### CHANGE HISTORY

> First released in Issue 7.

> POSIX.1-2008, Technical Corrigendum 1, XSH/TC1-2008/0180 [283] is applied.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]